Чтобы добавлять сообщения и комментарии, .

@zoonman:
zoonman

Пытаюсь подружить Машку и Руби под соусом мак-портов. Пока получился такой монстр philmms:RubymineProjects zoonman$ sudo gem install --no-rdoc --no-ri mysql2 — --with-mysql-dir=/opt/local/lib/mariadb --with-mysql-config=/opt/local/lib/mariadb/bin/mysql_config --with-mysql-include=/opt/local/include/mariadb/mysql --with-mysql-lib=/opt/local/lib/mariadb/mysql
Building native extensions with: '--with-mysql-dir=/opt/local/lib/mariadb --with-mysql-config=/opt/local/lib/mariadb/bin/mysql_config --with-mysql-include=/opt/local/include/mariadb/mysql --with-mysql-lib=/opt/local/lib/mariadb/mysql' надеюсь оно будет работать.

@Hamper:
Hamper

Как заставить руби перебилдить гем? Мне надо другие параметры подсунуть, а оно похоже при gem uni ... ; gem i ... не билдит его снова, а откуда то ставит.

@proton:
proton

Ну вот, обнаружил, что в одном моём проектике Mongoid версии 2.0, и не желает обновляться, оказалось, что половина используемых gem'ов тянет старый mongoid.
Вот тебе и opensource :(

@proton:
proton

mongoid_rateable Гем mongoid_rateable на гитхабе есть, весь покрытый тестами, абсолютно весь…

@proton:
proton

Мой первый Gem: mongoid_rateable
github.com
Ругайте/Юзайте на здоровье!

@proton:
proton

О да! github.com
За меня уже написали костыль, обожаю рельсы!

@Transmitter:
Transmitter

эта сука не захотелась ставиться из сорцов. окей, там с переменными окружения не лады, рассудил я и поставил из репов. так тоже не работает. сижу читаю setup.rb. а дальше посмотрим, будет более-менее видно
P.S.
:~$ gem server
ERROR: While executing gem ... (ArgumentError)
/var/lib/gems/1.9.1 does not appear to be a gem repository
ls говорит что там риальне пусто.

@kaineer:
kaineer

writeexcel. Делает именно то, о чём можно подумать. Держит utf-8, что уже вполне хорошо.

@kaineer:
kaineer

html-sanitizer: gem install loofah